Bug 176819 - [patch] emulators/linux_base-f10: add symlinks for matlab
Summary: [patch] emulators/linux_base-f10: add symlinks for matlab
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Tijl Coosemans
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-10 20:10 UTC by Tijl Coosemans
Modified: 2013-04-16 21:51 UTC (History)
0 users

See Also:


Attachments
linux_base-f10.patch (1.25 KB, patch)
2013-03-10 20:10 UTC, Tijl Coosemans
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tijl Coosemans 2013-03-10 20:10:01 UTC
Some programs are installed under /usr/bin on Linux, but /bin on
FreeBSD. Because PATH usually lists /bin before /usr/bin this
means Linux shell scripts run the FreeBSD program and fail.

The attached patch fixes the problem by creating symlinks in
/compat/linux/bin.
Comment 1 Edwin Groothuis freebsd_committer 2013-03-10 20:10:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->emulation

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2013-03-12 06:54:49 UTC
Responsible Changed
From-To: emulation->freebsd-emulation

Canonicalize assignment.
Comment 3 Tijl Coosemans 2013-03-27 09:33:41 UTC
Are there any objections to this patch? It is required to get at
least Maple and Matlab working. It would be nice to have it
committed before the freeze.
Comment 4 Tijl Coosemans freebsd_committer 2013-04-15 18:09:05 UTC
Responsible Changed
From-To: freebsd-emulation->tijl

Take to get reminders.
Comment 5 dfilter service freebsd_committer 2013-04-16 21:38:18 UTC
Author: tijl
Date: Tue Apr 16 20:38:06 2013
New Revision: 315899
URL: http://svnweb.freebsd.org/changeset/ports/315899

Log:
  Add some symlinks to linux_base-f10 for executables that exist in /usr/bin
  on Linux but /bin on FreeBSD. This guarantees that Linux shell scripts run
  the Linux executables and not the FreeBSD ones.
  
  No objection from:	-emulation
  PR:		ports/176819
  Feature safe:	yes

Modified:
  head/emulators/linux_base-f10/Makefile
  head/emulators/linux_base-f10/pkg-plist

Modified: head/emulators/linux_base-f10/Makefile
==============================================================================
--- head/emulators/linux_base-f10/Makefile	Tue Apr 16 20:27:58 2013	(r315898)
+++ head/emulators/linux_base-f10/Makefile	Tue Apr 16 20:38:06 2013	(r315899)
@@ -3,7 +3,7 @@
 
 PORTNAME=		f10
 PORTVERSION=		10
-PORTREVISION=		5
+PORTREVISION=		6
 CATEGORIES=		emulators linux
 MASTER_SITES=		CRITICAL/rpm/${LINUX_RPM_ARCH}/fedora/${PORTVERSION}
 PKGNAMEPREFIX=		linux_base-
@@ -210,6 +210,10 @@ do-install:
 		| ${CPIO} -pm -R root:wheel ${PREFIX}
 
 	@${LN} -sf /var/tmp ${PREFIX}/usr/tmp
+	@${LN} -sf ../usr/bin/[ ${PREFIX}/bin/[
+	@${LN} -sf ../usr/bin/expr ${PREFIX}/bin/expr
+	@${LN} -sf ../usr/bin/test ${PREFIX}/bin/test
+	@${LN} -sf ../usr/bin/uuidgen ${PREFIX}/bin/uuidgen
 	@${CHOWN} root:wheel ${PREFIX}/var/lock ${PREFIX}/var/spool/mail
 	@${CHMOD} 755 ${PREFIX}/var/lock ${PREFIX}/var/spool/mail
 #

Modified: head/emulators/linux_base-f10/pkg-plist
==============================================================================
--- head/emulators/linux_base-f10/pkg-plist	Tue Apr 16 20:27:58 2013	(r315898)
+++ head/emulators/linux_base-f10/pkg-plist	Tue Apr 16 20:38:06 2013	(r315899)
@@ -1,4 +1,5 @@
 @comment file listing
+bin/[
 bin/arch
 bin/basename
 bin/bash
@@ -13,6 +14,7 @@ bin/dd
 bin/echo
 bin/egrep
 bin/env
+bin/expr
 bin/false
 bin/fgrep
 bin/grep
@@ -33,10 +35,12 @@ bin/sleep
 bin/sort
 bin/stty
 bin/sync
+bin/test
 bin/touch
 bin/true
 bin/uname
 bin/unlink
+bin/uuidgen
 etc/DIR_COLORS
 etc/DIR_COLORS.256color
 etc/DIR_COLORS.xterm
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Tijl Coosemans freebsd_committer 2013-04-16 21:51:10 UTC
State Changed
From-To: open->closed

Committed.